package room

import (
	"game/common/baseroom"
	"game/common/proto/pb"
	"github.com/fox/fox/log"
	"github.com/fox/fox/service"
)

type ColorRoom struct {
	*baseroom.BaseRoom[ColorSeat]
}

func newColorRoom(id, roomType int, srv service.IService) (baseroom.IRoom, pb.ErrCode) {
	rm := &ColorRoom{}
	playType := 0
	code := pb.ErrCode_OK
	rm.BaseRoom, code = baseroom.NewBaseRoom[ColorSeat](id, roomType, playType, srv)
	if code != pb.ErrCode_OK {
		log.ErrorF("new color room err code:%v", code)
		return nil, code
	}
	rm.OnInit()
	return rm, code
}

func (rm *ColorRoom) OnInit() {
	return
}
