package room

import (
	"game/common/baseroom"
	"game/common/proto/pb"
	"github.com/fox/fox/service"
)

type RoomFactory struct {
}

func (r *RoomFactory) CreateRoom(id, roomType int, srv service.IService) (baseroom.IRoom, pb.ErrCode) {
	return newColorRoom(id, roomType, srv)
}

type PlayerFactory struct {
}

func (r *PlayerFactory) CreatePlayer(uid int64) (baseroom.IPlayer, pb.ErrCode) {
	player := &ColorPlayer{}
	code := pb.ErrCode_OK
	return player, code
}

func GetPlayer(p baseroom.IPlayer) *ColorPlayer {
	player, _ := p.(*ColorPlayer)
	return player
}
